View Issue Details

IDProjectCategoryView StatusLast Update
0003853GNUnetnamestore servicepublic2018-06-07 00:24
ReporterdangoleAssigned Toschanzen 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformOpenWrtOSOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003853: get rid of hard libsqlite3 dependency
DescriptionGNS would be much more usable on small systems with practically no storage (think: wifi routers) if namestore had a simple ASCII-backend ("my local hosts file") instead of using libsqlite3.
Similarly, a backend for namecache which is designed to run only in the main memory without any storage (heap? hashtable?) would be needed to replace libsqlite3 there as well.
Steps To ReproduceTry running gnunet on a device with only a few megs (think: 4MB) of (read-only) storage. Realize that you cannot get GNS working without namestore, namecache and peerstore, which all require libsqlite3. libsqlite3 is still about half a MB in size, and that's quite a lot given that libsqlite3 is also not suitable to manage data in the system's main memory (think: 32MB)...
Yet, it would be very advantageous to be able to use GNUnet's VPN, Names, ... on systems which cannot contribute permanent storage in the traditional sense -- however, usually routers and plug-computers are powered-on and run their services 24/7, which is also a way to keep data permanent...
Additional Informationhttp://lists.gnu.org/archive/html/gnunet-developers/2015-06/msg00011.html

TagsNo tags attached.

Activities

schanzen

2015-07-10 22:05

developer   ~0009415

Namestore issue

schanzen

2015-08-11 16:41

developer   ~0009560

Added experimental flat namestore plugin. SVN r36235.

schanzen

2015-08-11 18:39

developer   ~0009562

Added experimental flat namecache plugin. SVN r36237.

Christian Grothoff

2015-10-29 23:29

manager   ~0009858

We currently get this on various buildbots:

../../test-driver: line 107: 24429 Segmentation fault "$@" > $log_file 2>&1
FAIL: test_plugin_namestore_flat

i.e.

https://gnunet.org/buildbot/builders/debian-amd64-grothoff/builds/6/steps/tests%20namestore/logs/stdio

https://gnunet.org/buildbot/builders/wachs-lenny-powerpc/builds/6/steps/tests%20namestore/logs/stdio

schanzen

2015-10-30 14:24

developer   ~0009865

Fixed in r36635

dangole

2016-02-25 09:58

developer   ~0010188

peerstore still depends on sqlite3, it'll also need a 'flat' or 'heap' variant.

schanzen

2016-05-24 22:41

developer   ~0010736

Peerstore flat added in r37200 experimental.
No testing.

In fact, no tests for peerstore (including sqlite) exist.
We should create another bug for that.

schanzen

2016-05-24 22:44

developer   ~0010737

See comment

Issue History

Date Modified Username Field Change
2015-06-21 19:48 dangole New Issue
2015-06-22 21:37 Christian Grothoff Status new => confirmed
2015-07-08 15:30 Christian Grothoff Severity minor => feature
2015-07-10 22:05 schanzen Note Added: 0009415
2015-07-10 22:05 schanzen Category GNS => namestore service
2015-08-11 16:41 schanzen Note Added: 0009560
2015-08-11 18:39 schanzen Note Added: 0009562
2015-08-11 18:40 schanzen Assigned To => schanzen
2015-08-11 18:40 schanzen Status confirmed => assigned
2015-10-29 23:29 Christian Grothoff Note Added: 0009858
2015-10-30 14:24 schanzen Note Added: 0009865
2015-10-30 14:25 schanzen Status assigned => resolved
2015-10-30 14:25 schanzen Resolution open => fixed
2016-02-25 09:58 dangole Note Added: 0010188
2016-02-25 09:58 dangole Status resolved => feedback
2016-02-25 09:58 dangole Resolution fixed => reopened
2016-05-24 22:41 schanzen Note Added: 0010736
2016-05-24 22:44 schanzen Note Added: 0010737
2016-05-24 22:44 schanzen Status feedback => resolved
2016-05-24 22:44 schanzen Fixed in Version => SVN HEAD
2016-05-24 22:44 schanzen Resolution reopened => fixed
2016-06-03 09:21 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2016-06-03 09:21 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed